std::ranges::zip_view::sentinel(3)

NAME
std::ranges::zip_view::sentinel - std::ranges::zip_view::sentinel

Synopsis
   template< bool Const > (since C++23)
   class /*sentinel*/; (exposition only*)
   The return type of zip_view::end when the underlying view is not a common_range.
   The type /*sentinel*/<true> or /*sentinel*/<false> treats the underlying view as
   const-qualified or non-const-qualified respectively.
   Data members
   Member name Definition
                    * std::tuple<ranges::sentinel_t<Views>...> if Const is false, or
   end_ (private) * std::tuple<ranges::sentinel_t<const Views>...> if Const is true.
                      (exposition-only member object*)

Member functions
   constructor constructs a sentinel
                 (public member function)

Non-member functions
   operator== compares a sentinel with an iterator returned from zip_view::begin
   (C++23) (function)
   operator- computes the distance between a sentinel and an iterator returned from
   (C++23) zip_view::begin
              (function)